# studio::ColorSlider Class Reference

`#include <widget_coloredit.h>`

List of all members.

## Public Types

enum | Type { TYPE_R, TYPE_G, TYPE_B, TYPE_Y, TYPE_U, TYPE_V, TYPE_HUE, TYPE_SAT, TYPE_A, TYPE_END }

## Public Member Functions

sigc::signal< void, Type, float > & | signal_slider_moved ()
sigc::signal< void > & | signal_activated ()
Type | get_type () const
const synfig::Color & | get_color () const
| ColorSlider (const Type &x=TYPE_Y)
void | set_type (Type x)
void | set_color (synfig::Color x)

## Static Public Member Functions

static void | adjust_color (Type type, synfig::Color &color, float amount)

## Member Enumeration Documentation

enum studio::ColorSlider::Type

Enumerator:

  TYPE_R |
  TYPE_G |
  TYPE_B |
  TYPE_Y |
  TYPE_U |
  TYPE_V |
  TYPE_HUE |
  TYPE_SAT |
  TYPE_A |
  TYPE_END |

## Constructor & Destructor Documentation

ColorSlider::ColorSlider | ( | const Type & | x = `TYPE_Y` | ) |

## Member Function Documentation

sigc::signal<void,Type,float>& studio::ColorSlider::signal_slider_moved | ( |  | ) | `[inline]`

sigc::signal<void>& studio::ColorSlider::signal_activated | ( |  | ) | `[inline]`

Type studio::ColorSlider::get_type | ( |  | ) | const`[inline]`

const synfig::Color& studio::ColorSlider::get_color | ( |  | ) | const`[inline]`

void ColorSlider::set_type | ( | Type | x | ) |

void ColorSlider::set_color | ( | synfig::Color | x | ) |

Referenced by studio::Widget_ColorEdit::on_value_changed(), and studio::Widget_ColorEdit::set_value().

void ColorSlider::adjust_color | ( | Type | type,
|  | synfig::Color & | color,
|  | float | amount |
| ) |  |  | `[static]`

References TYPE_END.

Referenced by studio::Widget_ColorEdit::on_slider_moved().

The documentation for this class was generated from the following files:

- widget_coloredit.h
- widget_coloredit.cpp